LEED Brakes - Product Search
Browse Products
Mopar, Dodge, Plymouth, B & E Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of disc brakes to your vehicle with our manual drum to disc brake conversion. In this front disc brake conversion kit you receive everything you need to...More Details »
Item #: FC2005-8405X
Condition:
New
Price: $2,024.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of disc brakes to your vehicle with our manual drum to power disc brake conversion. In this kit you receive everything you need to mount MaxGrip Lite 4...More Details »
Item #: FC2006-8405X
Condition:
New
Price: $2,024.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Power Front Disc Brake Conversion Kit for Mopar C-Body vehicles with black calipers. This...More Details »
Item #: BFC2006-8405X
Condition:
New
Price: $2,130.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Power Front Disc Brake Conversion Kit for Mopar C-Body vehicles with red calipers. This...More Details »
Item #: RFC2006-8405X
Condition:
New
Price: $2,130.99
MaxGrip Lite 4-Piston Power Front Disc Brake Conversion Kit with Black Calipers for Mopar B & E Body
Mopar, Dodge, Plymouth, B & E Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of disc brakes to your vehicle with our manual drum to disc brake conversion. In this front disc brake conversion kit you receive everything you need to...More Details »
Item #: BFC2005-8405X
Condition:
New
Price: $2,126.99
Mopar, Dodge, Plymouth, B & E Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of disc brakes to your vehicle with our manual drum to disc brake conversion. In this front disc brake conversion kit you receive everything you need to...More Details »
Item #: RFC2005-8405X
Condition:
New
Price: $2,126.99
Mopar, Dodge, Plymouth, A Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of disc brakes to your vehicle with our drum to disc brake conversion. In this kit you receive everything you need to mount MaxGrip 4 Piston disc brakes...More Details »
Item #: FC2004SMX
Condition:
New
Price: $1,724.99
Mopar, Dodge, Plymouth, B & E Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of disc brakes to your vehicle with our Mopar disc brake conversion. In this front disc brake conversion kit, you receive everything you need to mount...More Details »
Item #: FC2005SMX
Condition:
New
Price: $1,704.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Front Disc Brake Conversion Kit (Spindle Mount) for Mopar C-Body vehicles with black...More Details »
Item #: BFC2006SMX
Condition:
New
Price: $1,814.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Front Disc Brake Conversion Kit (Spindle Mount) for Mopar C-Body vehicles. This...More Details »
Item #: RFC2006SMX
Condition:
New
Price: $1,814.99
Mopar, Dodge, Plymouth, B & E Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of disc brakes to your vehicle with our Mopar disc brake conversion. In this front disc brake conversion kit, you receive everything you need to mount...More Details »
Item #: BFC2005SMX
Condition:
New
Price: $1,809.99
Description: New high quality 11.25 inch rear replacement rotor with 4.5 & 4.75 bolt pattern. Reduce brake fade and increase your braking performance with our MaxGrip XDS cross drilled, slotted & zinc plated...More Details »
Item #: 5560001LCDS
Condition:
New
Price: $183.99
Description: New high quality 11.25 inch rear replacement rotor with 4.5 & 4.75 bolt pattern. Reduce brake fade and increase your braking performance with our MaxGrip XDS cross drilled, slotted & zinc plated...More Details »
Item #: 5560001RCDS
Condition:
New
Price: $183.99
GM OBS Truck
Description: Introducing our MaxGrip XDS Brake Rotor & Brake Pad Kit, engineered to deliver a boost in stopping performance and reliability for your vehicle. This comprehensive kit provides everything you need...More Details »
Item #: RK6004X
Condition:
New
Price: $369.99
GM Truck, Full Size Car
Description: Introducing our MaxGrip XDS Brake Rotor & Brake Pad Kit, engineered to deliver a boost in stopping performance and reliability for your vehicle. This comprehensive kit provides everything you need...More Details »
Item #: RK6002X
Condition:
New
Price: $389.99
GM OBS Truck,
Description: Introducing our MaxGrip XDS Brake Rotor & Brake Pad Kit, engineered to deliver a boost in stopping performance and reliability for your vehicle. This comprehensive kit provides everything you need...More Details »
Item #: RK6003X
Condition:
New
Price: $359.99
GM OBS Truck,
Description: Introducing our MaxGrip XDS Brake Rotor & Brake Pad Kit, engineered to deliver a boost in stopping performance and reliability for your vehicle. This comprehensive kit provides everything you need...More Details »
Item #: RK6005X
Condition:
New
Price: $399.99
GM C10 Truck
Description: Introducing our MaxGrip XDS Brake Rotor & Brake Pad Kit, engineered to deliver a boost in stopping performance and reliability for your vehicle. This comprehensive kit provides everything you need...More Details »
Item #: RK6008X
Condition:
New
Price: $369.99
GM OBS Truck,
Description: Introducing our MaxGrip XDS Brake Rotor & Brake Pad Kit, engineered to deliver a boost in stopping performance and reliability for your vehicle. This comprehensive kit provides everything you need...More Details »
Item #: RK6006X
Condition:
New
Price: $309.99
GM OBS Truck,
Description: Introducing our MaxGrip XDS Brake Rotor & Brake Pad Kit, engineered to deliver a boost in stopping performance and reliability for your vehicle. This comprehensive kit provides everything you need...More Details »
Item #: RK6007X
Condition:
New
Price: $319.99
GM Truck
Description: Introducing our MaxGrip XDS Brake Rotor & Brake Pad Kit, engineered to deliver a boost in stopping performance and reliability for your vehicle. This comprehensive kit provides everything you need...More Details »
Item #: RK6001X
Condition:
New
Price: $309.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
Description: Reduce brake fade and increase your braking performance with our MaxGrip XDS cross drilled, slotted & zinc plated rotor. With a cross drilled slotted rotor, you remove gases that build up between...More Details »
Item #: 5514 LCDS
Condition:
New
Price: $183.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
Description: Reduce brake fade and increase your braking performance with our MaxGrip XDS cross drilled, slotted & zinc plated rotor. With cross drilled and slotted rotors, you remove gases that build up...More Details »
Item #: 5514 RCDS
Condition:
New
Price: $183.99
Ford 8" & 9" Small Bearing
This part qualifies for $75 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of rear disc brakes to your Ford 8" or 9" small bearing axle with this complete drum-to-disc brake conversion kit. This Ford rear disc brake conversion...More Details »
Item #: RC0001X
Condition:
New
Price: $889.99
Ford Mustang
Description: New high-quality cross drilled and slotted Ford Mustang rotor for 1965-67 Mustangs.
Item #: 5406001 RCDS
Condition:
New
Price: $162.99
Description: New high quality left front cross drilled and slotted rotor replacement for disc conversions.
Item #: 5406002LCDS
Condition:
New
Price: $162.99
Description: New high quality right front cross drilled & slotted rotor replacement for disc conversions
Item #: 5406002RCDS
Condition:
New
Price: $162.99
Description: New high quality cross drilled & slotted left front rotor replacement for disc conversions
Item #: 5406003LCDS
Condition:
New
Price: $162.99
Description: New high quality cross drilled & slotted right front rotor replacement for disc conversions
Item #: 5406003RCDS
Condition:
New
Price: $162.99
Description: New high quality 11.25 inch rear replacement rotor with 4.5 & 4.75 bolt pattern
Item #: 5560002RCDS
Condition:
New
Price: $142.99
Ford Mustang
Description: New high quality cross drilled & slotted front rotor replacement for 1965-67 Ford Mustang
Item #: 5406001 LCDS
Condition:
New
Price: $162.99
Mopar 8-1/4, 9-1/4 Rear Axles
This part qualifies for $75 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of rear disc brakes to your vehicle with LEED Brakes' Mopar drum to disc brake conversion kit. This kit includes everything you need to mount...More Details »
Item #: RC4001
Condition:
New
Price: $819.99
Mopar 8-1/4, 9-1/4 Rear Axles
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your Mopar 8-1/4 and 9-1/4 rear axles with this LEED Brakes rear disc brake conversion kit designed to improve safety, reliability, and braking performance. This drum-to-disc conversion...More Details »
Item #: RRC4001X
Condition:
New
Price: $1,087.99
Mopar 8-3/4 9-3/4 Rear Axles
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your Mopar vehicle with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This rear disc brake conversion kit is...More Details »
Item #: RRC2001X
Condition:
New
Price: $1,035.99
Mopar, Dodge, Plymouth, A Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your vehicle with the safety, reliability, and performance of power disc brakes using this drum-to-disc brake conversion kit. Designed to mount directly to your vehicle’s original 10"...More Details »
Item #: RFC2004-8405X
Condition:
New
Price: $2,212.99
Mopar, Dodge, Plymouth, A Body Disc Brakes
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your Mopar A-Body vehicle with this LEED Brakes front disc brake conversion kit designed to improve safety, reliability, and braking performance. This drum-to-disc conversion kit includes...More Details »
Item #: FC2001SM
Condition:
New
Price: $1,154.99
Mopar, Dodge, Plymouth, A Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of disc brakes to your vehicle with our MaxGrip Lite 4 Piston Aluminum Caliper manual drum to disc brake conversion. In this kit you receive everything...More Details »
Item #: BFC2004-C05X
Condition:
New
Price: $2,084.99
Mopar, Dodge, Plymouth, A Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of disc brakes to your vehicle with our MaxGrip Lite 4 Piston Aluminum Caliper manual drum to disc brake conversion. In this kit you receive everything...More Details »
Item #: RFC2004-C05X
Condition:
New
Price: $2,084.99
Mopar, Dodge, Plymouth, A Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of disc brakes to your vehicle with our power drum to disc brake conversion. In this kit you receive everything you need to mount MaxGrip Lite 4 piston...More Details »
Item #: BFC2004-8405X
Condition:
New
Price: $2,212.99
Mopar, Dodge, Plymouth, A Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your Mopar A-Body vehicle with this LEED Brakes power front disc brake conversion kit designed to improve safety, reliability, and braking performance. This power drum-to-disc conversion...More Details »
Item #: FC2001-8405X
Condition:
New
Price: $1,819.99
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and stopping performance of front disc brakes to your Mopar B-Body or E-Body vehicle with this manual drum-to-disc brake conversion kit from LEED Brakes. This complete...More Details »
Item #: BFC2002-C05X
Condition:
New
Price: $1,630.99
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and stopping performance of front disc brakes to your Mopar B-Body or E-Body vehicle with this manual drum-to-disc brake conversion kit from LEED Brakes. This complete...More Details »
Item #: RFC2002-C05X
Condition:
New
Price: $1,630.99
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of disc brakes to your Mopar B or E body vehicle with our Mopar disc brake conversion. In this front drum to disc brake conversion kit, you receive...More Details »
Item #: RFC2002SMX
Condition:
New
Price: $1,356.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your Mopar C Body vehicle with the safety, reliability, and stopping performance of a LEED Brakes drum-to-manual disc brake conversion kit. This front disc brake conversion kit includes...More Details »
Item #: FC2003-C05X
Condition:
New
Price: $1,519.99
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and stopping performance of power front disc brakes to your Mopar C-Body vehicle with this manual-to-power drum-to-disc brake conversion kit from LEED Brakes. This...More Details »
Item #: RFC2003-8405X
Condition:
New
Price: $1,772.99
C Body Mopar, Newport, Fury, 300
Description: Upgrade your Mopar C-Body's factory power brake system with this 8" chrome dual diaphragm power brake booster and master cylinder kit from LEED Brakes. Designed for vehicles originally equipped...More Details »
Item #: PBKT2003-1C
Condition:
New
Price: $539.99
C Body Mopar, Newport, Fury, 300
Description: Upgrade your Mopar C-Body's factory power brake system with this 8" dual diaphragm power brake booster and master cylinder kit from LEED Brakes. Designed for vehicles originally equipped with...More Details »
Item #: PBKT2003-1
Condition:
New
Price: $499.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your Mopar C-Body with the safety, reliability, and performance of a complete drum-to-disc brake conversion. This C-Body Disc Brake Conversion Kit allows you to mount factory-style 4-piston...More Details »
Item #: FC2003SMX
Condition:
New
Price: $1,289.99
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and stopping performance of front disc brakes to your Mopar C-Body vehicle with this manual drum-to-disc brake conversion kit from LEED Brakes. This complete kit...More Details »
Item #: BFC2003-C05X
Condition:
New
Price: $1,614.99
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and stopping performance of front disc brakes to your Mopar C-Body vehicle with this manual drum-to-disc brake conversion kit from LEED Brakes. This complete kit...More Details »
Item #: RFC2003-C05X
Condition:
New
Price: $1,614.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your factory power drum brake vehicle with LEED Brakes’ drum-to-disc brake conversion kit featuring MaxGrip Lite 4-Piston Aluminum...More Details »
Item #: RFC2006-P405X
Condition:
New
Price: $2,133.99
C Body Mopar, Newport, Fury, 300
Description: Upgrade your factory power drum brake Mopar C-Body with LEED Brakes' 8-inch Dual Diaphragm Power Brake Booster & Master Cylinder Kit. Designed for vehicles originally equipped with factory power...More Details »
Item #: PBKT2003-3
Condition:
New
Price: $499.99
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and stopping performance of power front disc brakes to your Mopar C-Body vehicle with this manual-to-power drum-to-disc brake conversion kit from LEED Brakes. This...More Details »
Item #: BFC2003-8405X
Condition:
New
Price: $1,772.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Mopar C-Body from factory power drum brakes to front disc brakes with this LEED Brakes conversion kit featuring MaxGrip XDS cross-drilled and slotted rotors and factory-style...More Details »
Item #: FC2003-P405X
Condition:
New
Price: $1,674.99
2 Inch Drop Spindle, Camaro, Chevelle
Description: New 2" Drop disc brake spindle. Precision machined Chevelle drop spindles will work with factory disc brake and aftermarket disc brake components. Quality you can trust!
Item #: SP5002P
Condition:
New
Price: $309.99
Ford Mustang, Automatic Transmission
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with this drum-to-power disc brake conversion kit. In this 1964–66 Mustang disc brake conversion kit, you receive...More Details »
Item #: FC0001-H405A
Condition:
New
Price: $1,469.99
Ford Mustang, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Convert your 1970 Ford Mustang manual transmission vehicle from drum to power front disc brakes with this 4-piston conversion kit from LEED Brakes featuring MaxGrip XDS cross drilled and slotted...More Details »
Item #: FC0003-X405MX
Condition:
New
Price: $1,739.97
Ford Mustang, Automatic Transmission
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your 1967-69 Mustang with this drum-to-power disc brake conversion kit from LEED Brakes. This front disc brake kit includes everything...More Details »
Item #: FC0002-3405A
Condition:
New
Price: $1,594.99
Ford Mustang, Automatic Transmission
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your 1970 Mustang with this drum-to-power disc brake conversion kit from LEED Brakes. In this kit, you receive everything needed to...More Details »
Item #: FC0003-3405A
Condition:
New
Price: $1,599.99